InterSystems officiel
Irène Mykhailova · Juil 1, 2022

Version IAM 2.8.1

Version IAM 2.8.1

InterSystems API Manager (IAM) version 2.8.1 est désormais généralement disponible. En plus d'une multitude d'améliorations des performances et de corrections de bogues, cette version ajoute de nouvelles fonctionnalités importantes, notamment :

  • Essentiel
    • Groupes de consommateurs - Vous permet de regrouper des consommateurs pour créer des niveaux de service
    • Crochets d'événement - Permet à IAM d'appeler un crochet Web lorsque certains événements se produisent. Par exemple, envoyez un message PagerDuty si un point de terminaison échoue.
    • Améliorations du mode hybride - Vérification de version simplifiée ; le plan de contrôle peut continuer à fonctionner si la base de données est en panne.
  • Nouveaux plugins
    • JQ - Appliquer des transformations aux messages JSON.
    • OPA - Open Policy Agent est une norme de l'industrie pour décrire les politiques d'accès et de sécurité de manière standard.
    • Mocking - Le plug-in de moquerie accélère les pratiques de développement axées sur l'API.
  • Console d'administration
    • Filtrage et tri
    • TLS 1.3 pour le portail de développement

IAM est une passerelle API entre vos serveurs et applications InterSystems IRIS, fournissant des outils pour surveiller, contrôler et gouverner efficacement le trafic HTTP à grande échelle. IAM est disponible et complément gratuit avec votre licence InterSystems IRIS.

IAM 2.8.1 peut être téléchargé à partir de la zone Composants du site WRC Software Distribution

Suivez le Guide d'installation pour savoir comment télécharger, installer et démarrer avec IAM. La documentation complète d'IAM 2.8.1 vous donne plus d'informations sur IAM et son utilisation avec InterSystems IRIS. Notre partenaire Kong fournit une documentation supplémentaire sur l'utilisation d'IAM dans la documentation de Kong Gateway (Enterprise) 2.8.x.

IAM est uniquement disponible au format de conteneur OCI (Open Container Initiative) ou Docker. Les images de conteneur sont disponibles pour les moteurs d'exécution compatibles avec OCI pour Linux x86-64 et Linux ARM64, comme détaillé dans le document Plateformes prises en charge.

 

Le numéro de build de cette version est IAM 2.8.1.0-3.

Cette version est basée sur Kong Gateway (Enterprise) version 2.8.1.

1
0 17
Discussion (0)1
Connectez-vous ou inscrivez-vous pour continuer